Beryl+Ubuntu7.04+ATI Radeon 9600

Imagen de lunet
0 puntos

Buenas¡¡¡

 Después de comerme la cabeza y visitar mil y un foros para instalar beryl en mi ubuntu 7.04, consegui que me cargará el icono de Beryl (en Gnome) pero no consigo ver ningún efecto. Probe con los controladores propietarios de ATI y con los genéricos(en algun sitio lei que estos funcionan mejor), y con los dos tuve problemas:

 Controladores ATI:

Al ejecutar beryl-manager en una consola me sale el icono en  la esquina superior derecha de la pantalla. Seleccione el sistema gestor de ventanas pero nad, ni se ven los efectos (configure a mano el xorg.conf) ni la consola me da ningún error. Al no saber que pasa ni encontrar ningún tutorial/howto/guia/post/blog... que haga algun paso distinto a los que realicé, probé con los controladores genéricos.

 

Controladores Genéricos :

Cambié los controladores (usando Sistema>Administración>Controladores propietarios [Reiniciar]), reconfigurar el xorg.conf y cuando vuelvo a ejecutar beryl-manager me sale el siguiente error en la consola:

  X Error: BadDevice, invalid or uninitialized input device 167
  Major opcode:  144
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 167
  Major opcode:  144
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 167
  Major opcode:  144
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
X Error: BadDevice, invalid or uninitialized input device 167
  Major opcode:  144
  Minor opcode:  3
  Resource id:  0x0
Failed to open device
beryl: No composite extension

(gtk-window-decorator:8516): Gdk-WARNING **: Using Cairo rendering requires the drawable argument to
have a specified colormap. All windows have a colormap,
however, pixmaps only have colormap by default if they
were created with a non-NULL window argument. Otherwise
a colormap must be set on them with gdk_drawable_set_colormap

(gtk-window-decorator:8516): Gdk-WARNING **: Using Cairo rendering requires the drawable argument to
have a specified colormap. All windows have a colormap,
however, pixmaps only have colormap by default if they
were created with a non-NULL window argument. Otherwise
a colormap must be set on them with gdk_drawable_set_colormap

Si alguién me pudiera dar alguna pista (aunque no me diera la solución) por donde tirar para solucionar el problema estaría muy agradecido. Con este error yo me supongo que el fallo es del controlador, pero no tengo ni idea.

 

Características máquina

AMD Athlon 64bits

Ati Radeon 9600 (creo que es la pro pero no estoy seguro)

 Tengo instalado la ubuntu 7.04 para 32 bits actualizada desde la 6.06 (luego a la 6.10 y finalmente a la 7.04)

Imagen de MalcoM
+1
0
-1

How to install Beryl (ATI)

"All credit is due to the forum user in the reference link above. This is been added to this wiki so that other users will not (hopefully) have to search for a solution. This has been tested on the i386 version of Feisty Fawn. Someone, please modify this if the AMD64 version is also compatible."

 

  • Open a terminal:
Applications > Accessories > Terminal
  • Verify our system is up-to-date:
sudo apt-get update
sudo apt-get upgrade
  • Install Xgl (This is the main problem with ATI cards. The fglrx driver will not support the built-in Compiz feature in Ubuntu and we need Xgl to run our new version of Beryl with an ATI card.):
sudo apt-get install xserver-xgl
  • Write a script so Xgl can start on its own:
sudo gedit /usr/local/bin/startxgl.sh
  • Enter and save this script information:

#!/bin/sh
Xgl :1 -fullscreen -ac -accel xv:pbuffer -accel glx:pbuffer &
DISPLAY=:1
cookie="$(xauth -i nextract - :0 | cut -d ' ' -f 9)"
xauth -i add :1 . "$cookie"
exec dbus-launch --exit-with-session gnome-session
  • Make the script executable:
sudo chmod a+x /usr/local/bin/startxgl.sh
  • Now, we need to put in a Xgl option in our GDM login screen:
sudo gedit /usr/share/xsessions/xgl.desktop
  • Enter and save this script information:
[Desktop Entry]
Encoding=UTF-8
Name=GNOME with XGL
Comment=
Exec=/usr/local/bin/startxgl.sh
Icon=
Type=Application
  • Also make this script executable:
sudo chmod a+x /usr/share/xsessions/xgl.desktop
  • Disable the universe repositories (these provide Beryl software that is incompatible with the fglrx driver).
Go to System > Administration > Software Sources 
Uncheck Community-maintained Open Source software (universe)
Click Close

Back in our terminal:

  • Add the correct repository key:
sudo wget http://ubuntu.beryl-project.org/root@lupine.me.uk.gpg -O- | sudo apt-key add -
  • Add the correct repository to the top of your apt source list:
sudo gedit /etc/apt/sources.list
Enter: deb http://ubuntu.beryl-project.org/ feisty main
Save and close gedit
  • Update your apt sources:
sudo apt-get update
  • Install the correct Beryl applications:
sudo apt-get install beryl emerald-themes

Apt should retrieve all of the dependencies such as plug-ins and libraries

  • Install your ATI drivers (if needed):
Go to System > Administration > Restricted Drivers Manager
Check the Enable check box for your ATI graphics card

You will need to reboot to enable the card.

  • After a reboot and choosing Xgl from your sessions list at your login screen, test Beryl. In a terminal:
beryl-manager
emerald --replace

http://ubuntuguide.org/wiki/Ubuntu:Feisty#How_to_install_Beryl_.28ATI.29

 

 

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

Nada, que no me funcionó esta guia¡¡¡

 Por lo menos ya me di cuenta de alguna cosa que hacia mal antes. Ahora al activar Beryl con el driver de ATI, se me queda la pantalla completamente en blanco (error que ya me suena de que este posteado por ahí, asi que voy a mirar). Al hacer lo mismo con el driver genérico tampoco me funciona y antes de ejecutar Beryl se me ven los programas como si el texto estuviera movido (algo parecido a la cursiva).

 

Voy a probar a buscar algo más por ahí.

 

De todas formas, graciñas¡¡¡ 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de lunet
+1
0
-1

Después de dar muchas vueltas y seguir los pasos de la página oficial de Beryl llegué a la conclusión de que por ahora no puedo usarlo con mi ATI RADEON 9600 PRO. Esperemos que en proximas ediciones de los drivers o de beryl solucionen este tema.

 

 

 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de MalcoM
+1
0
-1

Hola, yo configure una ATI 9700 y una 9600, siguiendo este tutorial:

http://ubuntuguide.org/wiki/Ubuntu:Feisty#How_to_install_Beryl_.28ATI.29

Formatea el sistema y despues de tener internet funcionando, sigue paso a paso el tutorial.

Te tiene que funcionar. 

 

 

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

Lo probaré, pero ya me suena. En ese tutorial no me funcionaba el comando para agregar  la llave GPG, de todas formas lo intentaré.

 

 

 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de MalcoM
+1
0
-1

Pues es raro, lo acabo de probar copiando el comando y pegandolo y a mi me funciona, de todas formas un error muy comun, es que si estas como root y ejecutas el comando tienes que quitarle el "sudo" que aparece casi al final del comando.

 

Pero si te sigue fallando, puedes mirarlo en la pagina oficial de "beryl". 

 

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

Nada, además de que segui los pasos de este ultimo tutorial y no me funcionaron. Al realizar el siguiente paso:

  wget http://ubuntu.beryl-project.org/root@lupine.me.uk -o- | sudo apt-key add -

 Me salio en la consola el siguiente error:

gpg: no se encontraron datos OpenPGP válidos. 

 

Siguiendo los pasos del tutorial, más adelante, cuando quiero instalar beryl me saltan dependencias sin cumplir  de los paquetes:

 beryl-core

beryl-plugins

beryl-settings

emerald

aquamarine

heliodor

yawd

compiz-gnome

 

Me avisa que necesita estos paquetes pero que no los instalará.

Estos son mis repositorios (para 64bits), voy a buscar por ahí haber sin encuentro el fallo en esto:

 

deb http://es.archive.ubuntu.com/ubuntu/ feisty main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://es.archive.ubuntu.com/ubuntu/ feisty-updates main restricted
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty-updates main restricted

## Uncomment the following two lines to add software from the 'universe'
## repository.
## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://es.archive.ubuntu.com/ubuntu/ feisty universe
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty universe

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://es.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse
deb-src http://es.archive.ubuntu.com/ubuntu/ feisty-backports main restricted universe multiverse

deb http://security.ubuntu.com/ubuntu feisty-security main restricted
deb-src http://security.ubuntu.com/ubuntu feisty-security main restricted
deb http://security.ubuntu.com/ubuntu feisty-security universe
deb-src http://security.ubuntu.com/ubuntu feisty-security universe
deb http://archive.ubuntu.com/ubuntu/ feisty main

#Repositorio do proxecto Beryl
deb http://ubuntu.beryl.project.org feisty main

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de MalcoM
+1
0
-1

Prueba este otro tutorial, que por lo visto tambien funciona bien.

 

http://www.ubuntu-es.org/index.php?q=node/46943 

 

 

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

Reinstalé Ubuntu 7.04 64bits desde el cd y probé con el tutorial que pusiste. Todo va bien (los comandos funcionan) pero Beryl sigue sin irme.

-Me sale el icono en la esquina superior derecha, despues de teclear beryl-manager en una consola. Al principio me daba el error de "No Composite Extension" que solucione toqueteando el xorg.conf, poniendo en la Sección Composite "Enable" (error habitual que explican en más posts).

-Ahora me dá un error nuevo:

Xlib: extension "XFree86-DRI" missing on display ":0.0".
Aviso do xestor de ventás: Perdeuse a conexión coa pantalla ':0.0';
probablemente saíu do servidor X ou
matou/destruíu o xestor de ventás.
/usr/bin/compiz.real: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
/usr/bin/compiz.real: GLX_EXT_texture_from_pixmap is missing
/usr/bin/compiz.real: Failed to manage screen: 0
/usr/bin/compiz.real: No manageable screens found on display :0.0

Parece que estoy usando el driver genérico DRI pero en el menu Sistema>Administración... tengo activado el propietario de ATI.

 

La sesión con XGL no me inicia, me devuelve a la pantalla de logueo.

Seguiré buscando... y muchas gracias por las molestias que me estas aydando mucho (en esta ultima prueba ya me entere algo más de lo que estaba haciendo)

 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de lunet
+1
0
-1

Al intentar seleccionar el gestor de ventanas Beryl me salta este error:

 

Aviso do xestor de ventás: Perdeuse a conexión coa pantalla ':0.0';
probablemente saíu do servidor X ou
matou/destruíu o xestor de ventás.
**************************************************************
* Beryl system compatiblity check *
**************************************************************

Detected xserver : AIGLX

Checking Display :0.0 ...

Checking for XComposite extension : passed (v0.3)
Checking for XDamage extension : passed
Checking for RandR extension : passed
Checking for XSync extension : passed

Checking Screen 0 ...

Checking for GLX_SGIX_fbconfig : passed
Checking for GLX_EXT_texture_from_pixmap : passed
Xlib: extension "XFree86-DRI" missing on display ":0.0".
Checking for non power of two texture support : failed

Support for non power of two textures missing
beryl: SmcOpenConnection failed: Authentication Rejected, reason : None of the authentication protocols specified are supported and host-based authentication failed
Xlib: extension "XFree86-DRI" missing on display ":0.0".
beryl: glXBindTexImageEXT is missing
beryl: Failed to manage screen: 0
beryl: No manageable screens found on display :0.0

La sesión con XGL me sale con muchas rayas y no se lee nada¿?¿?¿?¿?¿? 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de MalcoM
+1
0
-1

no se interpretar ese error, yo soy de los que instala, prueba un tuturial y si me casca formateo y busco otro tutorial hasta que doy con el que me funciona bien..... 

 

Haber si alguien te dice cual es el problema....

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

Después de 2 semanas de intensa lectura de todo tipo de howtos, manuais, consejos e de más por fin consegui activar beryl en mi  máquina. Estoy tan contento que este post tuve que reescribirlo porque inconscientemente lo estaba haciendo en gallego. XDDDDD

Comencemos:

-Equipo: AMD Athlon 64bits 3500+

-Tarjeta Gráfica: ATI RADEON 9600 XT

-Sistema Operativo: Ubuntu 7.04 Feisty Fawn 64bits 

Recomiendo empezar desde una instalación limpia.

Desinstale todo paquete que instalará de cualquier manual, tipo beryl, beryl-manager y todos estos y seguí al pie de la letra el siguiente manual [sólo hice la 1ª parte, sin driver propietario de ATI]:

 

http://www.ubuntu-es.org/index.php?q=node/46437

 

Espero que os funcione y esteis tan contentos como yo¡¡¡ XDDDD

 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210

Imagen de MalcoM
+1
0
-1

!!!Felicidades!!!!

Bueno, el post lo podias haber escrito en Gallego, que yo tambien soy de la tierra.

 

 

 

Un Saludo. "La única iglesia que ilumina es la que arde"

+1
0
-1

Un Saludo.

"La única iglesia que ilumina es la que arde"

Imagen de lunet
+1
0
-1

No escribi en gallego por falta de ganas pero los moderadores estan en contra de cualquier idioma que no sea castellano, de hecho los catalanes tienen su propia página de ubuntu (la ultima vez que la visité estaba en construcción), debe ser ubuntu-cat o algo asi.... 

 

 

lunet............................................http://esteirositi.tk

+1
0
-1

lunet............................................The Ubuntu Counter Project - user number # 15210